| Home | Libraries | People | FAQ | More

## Struct template impl

boost::proto::integral_c::impl

## Synopsis

    // In header: <boost/proto/transform/integral_c.hpp>

    template<typename Expr, typename State, typename Data>
    struct impl :  proto::transform_impl< Expr, State, Data > {
      // types
      typedef T result_type;

      // public member functions
      T operator()(typename impl::expr_param, typename impl::state_param,
                   typename impl::data_param) const;
    };

## Description

### `impl` public member functions

1.     T operator()(typename impl::expr_param, typename impl::state_param,
                    typename impl::data_param) const;

   Returns: | `I`
   Throws: | Will not throw.